apacheconfig(8)

NAME
apacheconfig - reconfigure the Apache webserver

SYNOPSIS
apacheconfig [options]
apacheconfig [options] --update

DESCRIPTION
This command is run automatically during the installation or upgrade of Apache. It makes sure the configuration is valid, and calculates the optimum LoadModule lines based on what config directives are used in httpd.conf, access.conf, and srm.conf.

It may also be run at any time by the sysadmin.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options are included below.

--update
    Run tests to make sure the configuration is valid.

--force-modules
    Recalculate the LoadModule lines in httpd.conf. This is called when new modules are installed or removed.

Technically there are other options, but they're best left undocumented.

SEE ALSO
apache(8)

AUTHOR
This program and manual page was written by Johnie Ingram <johnie@netgod.net>, for the Debian GNU/Linux system (but may be used by others).